Create a repository service container
Closed, ResolvedPublic

Description

Following the architecture outlined in T148141 create a ServiceContainer that contains services configured for the given (single) repository.
Instantiation of particular services should be done in the wiring file.

Change 325967 had a related patch set uploaded (by WMDE-leszek):
Add RepositoryServiceContainer and the wiring file

https://gerrit.wikimedia.org/r/325967

WMDE-leszek moved this task from Proposed to Review on the Wikidata-Sprint board.Dec 13 2016, 11:37 AM

Change 325967 merged by jenkins-bot:
Add RepositoryServiceContainer and the wiring file

https://gerrit.wikimedia.org/r/325967

WMDE-leszek moved this task from Review to Done on the Wikidata-Sprint board.Dec 16 2016, 1:13 PM
WMDE-leszek closed this task as Resolved.Jan 3 2017, 1:33 PM